Bug 11217 - The # in accountlines descriptions makes them un-writeoffable
Summary: The # in accountlines descriptions makes them un-writeoffable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 17:30 UTC by Nicole C. Engard
Modified: 2017-06-14 22:13 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11217: The # in accountlines descriptions makes them un-writeoffable (1.68 KB, patch)
2016-10-07 14:59 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11217: The # in accountlines descriptions makes them un-writeoffable (1.74 KB, patch)
2016-10-13 07:22 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 11217: The # in accountlines descriptions makes them un-writeoffable (1.80 KB, patch)
2016-10-13 08:03 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-11-07 17:30:27 UTC
The # symbol in a description for a fine/charge makes it so that clicking write off doesn't work. It will put a write off line in the table, but it won't clear the amount owed on the find line.
Comment 1 Christopher Davis 2016-08-16 21:12:06 UTC
Dear Colleagues,

This bug is also giving my institution trouble. Anyone else?

Thanks,

Christopher Davis
Comment 2 Marc Véron 2016-10-07 08:15:57 UTC
Confirmed.
Comment 3 Marc Véron 2016-10-07 14:59:22 UTC
Created attachment 56078 [details] [review]
Bug 11217: The # in accountlines descriptions makes them un-writeoffable

This patch adds escaping to url params in mambers/pay.pl

To test:
- Apply patch
- Go to Home > Patrons > Manual invoice and create an invoice with a
  description containing a #
- Go to tab "Pay fines"
- Write off the fine
Expected result: Fine is written off and does no longer display in pay tab.
Comment 4 aloij 2016-10-12 08:43:07 UTC
Agree with Nicole. the # prevents the passage of the fine in write of. There is a line in the table but this does not affect the amount.
Comment 5 Marc Véron 2016-10-12 08:50:59 UTC
(In reply to aloij from comment #4)
> Agree with Nicole. the # prevents the passage of the fine in write of. There
> is a line in the table but this does not affect the amount.

The patch fixes the problem - and is ready to sign off :-)
Comment 6 Claire Gravely 2016-10-13 07:22:32 UTC
Created attachment 56304 [details] [review]
Bug 11217: The # in accountlines descriptions makes them un-writeoffable

This patch adds escaping to url params in mambers/pay.pl

To test:
- Apply patch
- Go to Home > Patrons > Manual invoice and create an invoice with a
  description containing a #
- Go to tab "Pay fines"
- Write off the fine
Expected result: Fine is written off and does no longer display in pay tab.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 7 Nick Clemens 2016-10-13 08:03:15 UTC
Created attachment 56307 [details] [review]
Bug 11217: The # in accountlines descriptions makes them un-writeoffable

This patch adds escaping to url params in mambers/pay.pl

To test:
- Apply patch
- Go to Home > Patrons > Manual invoice and create an invoice with a
  description containing a #
- Go to tab "Pay fines"
- Write off the fine
Expected result: Fine is written off and does no longer display in pay tab.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Brendan Gallagher 2016-10-14 09:39:32 UTC
Pushed to Master - Should be in the November 16.11 Release.  Thanks!
Comment 9 Frédéric Demians 2016-10-22 12:41:41 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 10 Julian Maurice 2016-10-24 10:27:01 UTC
Pushed in 3.22.x, will be in 3.22.12